// $Id: airport.pov,v 1.3 2000/04/24 14:51:28 marijn Exp $
// Povray airport description
// Licenced under the GPL, see the COPYING file for more information.

#declare runway = union {
	box{ <0.25, 1.5, 0>,  <-0.25, -1.5, 0.1>
		pigment {
			color <0.7, 0.7, 0.7>
		}	 
	}
	box{ <0.20, -1.15, 0>, <-0.20, -1.45, 0.101>
		pigment {
			color <0.8, 0.3, 0.3>
		}	 
	}
	box{ <0.04, 1.45, 0>, <-0.04, -1.15, 0.101>
		pigment {
			color <0.8, 0.3, 0.3>
		}	 
	}

}

#declare buildings = union {
	box{<-1.2, 1.2, 0>,<-0.4, -0.2, .1> 
		pigment {
			color <0.9, 0.9, 0.9>
		}
	}
	text{ ttf "timrom.ttf", "--TYPE--", .15, <0, 0, 0>
		      scale <1.3, 1.4, 1>
		      translate <-1, .1, 0>
		      }
}

#declare airport = union {
	object { runway scale <1, 1.2, 1>}
	object { runway scale <1, 1.2, 1> rotate z*-35 }
	object { buildings translate <-.2, -0.5, 0> rotate z*-15 }
}

object { airport }


light_source { <-4, 1, 3>
	color <1, 1, 1>
}

camera {
	location <0,0,4>
	look_at <0,0,0>
	up y
	right x
}

background { <0.4, 0.5, 0.4> }


// ChangeLog
// ---------
// $Log: airport.pov,v $
// Revision 1.3  2000/04/24 14:51:28  marijn
// Added different airport images.
//
// Revision 1.2  2000/03/09 00:00:29  marijn
// Added a README and added GPL references
//
// Revision 1.1  2000/01/04 23:20:15  marijn
// renamed airport images from "air" to "airport" for clarity
//
// Revision 1.2  2000/01/01 18:38:05  marijn
// airports are now being generated automaticly
//
// Revision 1.1  1999/12/26 04:24:49  marijn
// added povray file with a basic airport image
//
//
