# $Id: setup.py,v 1.9 2002/02/04 15:49:17 marijn Exp $

# An air traffic simulation game. 
# Copyright (C) 2000,1,2  Marijn Vriens <marijn@sanity.dhs.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

class version:
    major = "0"
    minor = "3"
    patch = "3"

package = "airtraffic"

idl_dir = "/usr/local/share/airtraffic/idl/"

# Meta server variables.
meta_server_ior = "./meta_server.ior"
meta_client_ior = "./meta_client.ior"

# Maximum time that meta server will allow simservers not to send a ping. 
meta_server_timeout = 16

# Simserver vars.
sim_server_ior  = "./airtraffic.ior"
sim_ticker_delay = 1
sim_server_name = "" # Uses hostname if empty.
sim_server_meta_ping = 15 # with what delay send the meta server
# a "im alive" ping.

# time that ticker sends a update to the simserver. 
ticker_delay = 1

# $Log: setup.py,v $
# Revision 1.9  2002/02/04 15:49:17  marijn
# updated for 0.3.3
#
# Revision 1.8  2002/02/01 15:07:36  marijn
# updated copyright information
#
# Revision 1.7  2002/01/12 23:17:51  marijn
# Starting 0.3.2 development
#
# Revision 1.6  2002/01/03 15:29:35  marijn
# Updated the idl because of new installed location.
#
# Revision 1.5  2001/11/30 05:20:25  marijn
# Split version up into major, minor and patch fields.
#
# Revision 1.4  2001/11/27 20:59:06  marijn
# sending of simple sim objcts
#
# Revision 1.3  2001/11/19 00:28:51  marijn
# Added patchlevel
#
# Revision 1.2  2001/11/19 00:25:58  marijn
# py merged back into HEAD
#
# Revision 1.1.2.4  2001/11/15 05:20:30  marijn
# Ticker process now started automaticly by sim-server
#
# Revision 1.1.2.3  2001/11/14 06:27:47  marijn
# Simserver now pings the meta server.
#
# Revision 1.1.2.2  2001/11/11 07:25:16  marijn
# Added simserver update ticker
#
# Revision 1.1.2.1  2001/11/11 05:22:40  marijn
# merged programs into one. Removed unneeded threading stuff
#
